# sybotan-service
[API参考手删](http://api.sybotan.com:88/service/)
# 标准接口
## 查询接口
### 过滤（filters）

### 排序（orders）

### 分页（pageNumber与pageSize）
pageNumber: 第几页，从1开始。 
pageSize: 每页记录数。**最大1000条记录。**

### 映射（）

## 关系表达式
关系|运算符|Web接口语法|后台编程语法
:---:|:---:|---|---|
等于    | =         | 属性名 = 值              | SFilter.eq("属性名", 值)
不等于  | !=        | 属性名 != 值             | SFilter.ne("属性名", 值)
大于    | >         | 属性名 > 值              | SFilter.gt("属性名", 值)
大于等于| >=        | 属性名 >= 值             | SFilter.gte("属性名", 值)
小于    | <         | 属性名 < 值              | SFilter.lt("属性名", 值)
小于等于| <=        | 属性名 <= 值             | SFilter.lte("属性名", 值)
包含    | contain   | 属性名 contain 值        | SFilter.contain("属性名", 值)
前缀    | startwith | 属性名 startwith 值      | SFilter.startWith("属性名", 值)
后缀    | endwith   | 属性名 endwith 值        | SFilter.endWith("属性名", 值)
为空    | isnull    | 属性名 isnull            | SFilter.isNull("属性名", 值)
在列表内| in        | 属性名 in [值1, 值2,...] | SFilter.inList("属性名", 值)

## 关系表达式
关系|运算符|Web接口语法|后台编程语法
:---:|:---:|---|---|
非       | not | not 表达式           | SFilter.not(表达式)
与       | and | 表达式1 and 表达式2  | SFilter.and(表达式1, 表达式2)
或       | or  | 表达式1 or 表达式2   | SFilter.or(表达式1, 表达式2)
多表达式 | ;   | 表达式1;表达式2;...  |

## 函数
函数 | 说明
---|---|
SLeft(属性名, 长度) | 字符串左截取
SLength(属性名) | 取字符串长度
SLower(属性名) | 字符串转换为小写
SLPad(属性名, 长度, 填充字符) | 左填充字符串
SMid(属性名, 开始位置, 长度) | 从指定位置截取批暄长度字符串
SReverse(属性名) | 字符串逆序
SRight(属性名, 长度) | 字符串右截取
SRPad(属性名, 长度, 填充字符) | 右填充字符串
SSubstring(属性名, 开始位置, 长度) | 从指定位置截取批暄长度字符串
SUpper(属性名) | 字符串转换为大写

#### 软件架构
软件架构说明


#### 安装教程

1. xxxx
2. xxxx
3. xxxx

#### 使用说明

1. xxxx
2. xxxx
3. xxxx

#### 参与贡献

1. Fork 本项目
2. 新建 Feat_xxx 分支
3. 提交代码
4. 新建 Pull Request


#### 码云特技

1. 使用 Readme\_XXX.md 来支持不同的语言，例如 Readme\_en.md, Readme\_zh.md
2. 码云官方博客 [blog.gitee.com](https://blog.gitee.com)
3. 你可以 [https://gitee.com/explore](https://gitee.com/explore) 这个地址来了解码云上的优秀开源项目
4. [GVP](https://gitee.com/gvp) 全称是码云最有价值开源项目，是码云综合评定出的优秀开源项目
5. 码云官方提供的使用手册 [https://gitee.com/help](https://gitee.com/help)
6. 码云封面人物是一档用来展示码云会员风采的栏目 [https://gitee.com/gitee-stars/](https://gitee.com/gitee-stars/)